Bug 886261 - Review Request: php-when - Date/Calendar recursion library for PHP 5.2+
Review Request: php-when - Date/Calendar recursion library for PHP 5.2+
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 858841
  Show dependency treegraph
 
Reported: 2012-12-11 17:01 EST by Gregor Tätzner
Modified: 2013-01-21 22:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-19 22:10:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
test execution (39.94 KB, text/plain)
2012-12-15 03:33 EST, Gregor Tätzner
no flags Details
phpci.log (10.44 KB, text/plain)
2012-12-15 08:21 EST, Remi Collet
no flags Details
php-when-review.txt (8.21 KB, text/plain)
2012-12-15 08:22 EST, Remi Collet
no flags Details

  None (edit)
Description Gregor Tätzner 2012-12-11 17:01:49 EST
Spec URL: http://brummbq.fedorapeople.org/php-when.spec
SRPM URL: http://brummbq.fedorapeople.org/php-when-0.3-1.fc17.src.rpm
Description: 
PHP library that handles recursive dates: It determines the next date of
recursion given an iCalendar "rrule" like pattern.
Fedora Account System Username: brummbq
Comment 1 Remi Collet 2012-12-15 02:24:32 EST
As the Test suite is provided, you should run it during %check.

For now, test suite isn't compatible with latest PHPUnit (use some deprecated include).

so, for example, in %prep, remove this include, and fix the other include path

sed -e '/Framework.php/d' \
    -e '/When.php/s:./:when/:' \
    -e '/When_Iterator.php/s:./:when/:' \
    -i Tests/*php

and in %check
cd Tests
phpunit -d include_path=%{buildroot}%{_datadir}/php:.:%{_datadir}/php:%{_datadir}/pear .


Please don't install tests in /usr/share/php, which is part of the default include_path.
Better solution is to use /usr/share/tests/when

You need to own the /usr/share/tests directory (or require pear which own it)

Please consider removing "5.2+" from summary, PHP is enough.
Comment 2 Gregor Tätzner 2012-12-15 03:33:21 EST
Created attachment 663920 [details]
test execution

Does the test work for you? There are a lot of errors and some failures.
Comment 3 Remi Collet 2012-12-15 03:42:01 EST
Try adding "-d date.timezone=UTC" to phpunit command

Yes test works for me (local build).
Of course, you probably need more BR to enable it during mock/koji build.
Comment 4 Gregor Tätzner 2012-12-15 04:26:37 EST
Spec URL: http://brummbq.fedorapeople.org/php-when.spec
SRPM URL: http://brummbq.fedorapeople.org/php-when-0.3-2.fc17.src.rpm

(In reply to comment #3)
> Try adding "-d date.timezone=UTC" to phpunit command
> 
> Yes test works for me (local build).
> Of course, you probably need more BR to enable it during mock/koji build.

thanks, that did the trick. It works also in mock

(In reply to comment #1)
> Better solution is to use /usr/share/tests/when

check

> You need to own the /usr/share/tests directory (or require pear which own it)

yum whatprovides /usr/share/tests
php-Pimple-1.0.0-2.fc17.noarch : A simple Dependency Injection Container for PHP
php-lessphp-0.3.8-3.fc17.noarch : A compiler for LESS written in PHP

no sign of pear? However, I'm owning /usr/share/tests now as well.
Comment 5 Remi Collet 2012-12-15 08:21:22 EST
Created attachment 663994 [details]
phpci.log
Comment 6 Remi Collet 2012-12-15 08:22:03 EST
Created attachment 663995 [details]
php-when-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 886261
Comment 7 Remi Collet 2012-12-15 08:23:34 EST
See the few comments in the attached review report.

No Blocker, so

=== APPROVED ===
Comment 8 Gregor Tätzner 2012-12-15 10:28:36 EST
New Package SCM Request
=======================
Package Name: php-when
Short Description: Date/Calendar recursion library for PHP
Owners: brummbq
Branches: f17 f18 el6
InitialCC:
Comment 9 Gwyn Ciesla 2012-12-15 21:18:45 EST
Git done (by process-git-requests).
Comment 10 Shawn Iwinski 2012-12-16 00:11:22 EST
For the tests, wouldn't it be better to use "%{_datadir}/tests/%{name}" so it would be less likely for a directory name collision?
Comment 11 Fedora Update System 2012-12-18 14:10:37 EST
php-when-0.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-when-0.3-2.fc17
Comment 12 Fedora Update System 2012-12-18 14:10:49 EST
php-when-0.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-when-0.3-2.fc18
Comment 13 Fedora Update System 2012-12-18 14:11:02 EST
php-when-0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-when-0.3-2.el6
Comment 14 Fedora Update System 2012-12-19 03:26:25 EST
php-when-0.3-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 15 Fedora Update System 2013-01-19 22:10:14 EST
php-when-0.3-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 16 Fedora Update System 2013-01-19 22:12:43 EST
php-when-0.3-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 17 Fedora Update System 2013-01-21 22:35:57 EST
php-when-0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.